Bug 615469 - [RFE] Support configuration of columns displayed for job search results
Summary: [RFE] Support configuration of columns displayed for job search results
Status: NEW
Alias: None
Product: Beaker
Classification: Community
Component: web UI   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: UX
Keywords: FutureFeature, Triaged
: 621588 641799 645350 951216 980164 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 19:30 UTC by Zack Cerza
Modified: 2019-04-03 11:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2010-07-16 19:30:38 UTC
Currently Beaker shows the following fields in search results for jobs:

ID	Whiteboard	Owner	 Progress	Status	Result	 Action

I'm not sure what other people do, but personally I have a bookmark that lists jobs owned by me that were not Cancelled. So I don't need 1/6th of the space taken up by Owner. Honestly I could do without Status, but that's debateable. Since Progress is shown, I really don't think we need Result.

I would, however, really love to have the Date and System fields visible. I'd like the System field so that I can immediately cancel jobs that were scheduled on machines that have never once given me a useful run. Sorry, a little bitter.

In summary, this is what I would personally like to see. Feel free to disagree.

ID	Date	Whiteboard	System	 Progress	 Action

Comment 1 Raymond Mancy 2011-03-24 05:58:35 UTC
I think the real answer is to make it customisable.

Comment 2 Nick Coghlan 2013-07-15 06:32:11 UTC
*** Bug 621588 has been marked as a duplicate of this bug. ***

Comment 3 Nick Coghlan 2013-07-15 06:35:54 UTC
*** Bug 980164 has been marked as a duplicate of this bug. ***

Comment 5 Dan Callaghan 2014-11-17 01:30:04 UTC
*** Bug 641799 has been marked as a duplicate of this bug. ***

Comment 6 Dan Callaghan 2014-11-20 06:46:08 UTC
*** Bug 951216 has been marked as a duplicate of this bug. ***

Comment 8 Tomas Klohna 🔧 2019-04-03 11:41:31 UTC
*** Bug 645350 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.